gtksourceviewmm: Gsv::CompletionItem Class Reference

gtksourceviewmm 3.18.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gsv::CompletionItem Class Reference

CompletionItem. More...

`#include <gtksourceviewmm/completionitem.h>`

Inheritance diagram for Gsv::CompletionItem:
[legend]

## Public Member Functions
| CompletionItem (CompletionItem&& src) noexcept
CompletionItem& | operator= (CompletionItem&& src) noexcept
virtual | ~CompletionItem () noexcept
GtkSourceCompletionItem* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSourceCompletionItem* | gobj () const
| Provides access to the underlying C GObject. More...
GtkSourceCompletionItem* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
Glib::PropertyProxy< Glib::RefPtr< Gdk::Pixbuf > > | property_icon ()
| Icon to be shown for this item. More...
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Gdk::Pixbuf > > | property_icon () const
| Icon to be shown for this item. More...
Glib::PropertyProxy< Glib::ustring > | property_info ()
| Info to be shown for this item. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_info () const
| Info to be shown for this item. More...
Glib::PropertyProxy< Glib::ustring > | property_label ()
| Label to be shown for this item. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_label () const
| Label to be shown for this item. More...
Glib::PropertyProxy< Glib::ustring > | property_markup ()
| Markup to be shown for this item. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_markup () const
| Markup to be shown for this item. More...
Glib::PropertyProxy< Glib::ustring > | property_text ()
| Item text. More...
Glib::PropertyProxy_ReadOnly< Glib::ustring > | property_text () const
| Item text. More...
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable ()
| trackable (const trackable &src)
| trackable (trackable &&src) noexcept
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src) noexcept
void | remove_destroy_notify_callback (void *data) const
Public Member Functions inherited from Gsv::CompletionProposal
| CompletionProposal (CompletionProposal&& src) noexcept
CompletionProposal& | operator= (CompletionProposal&& src) noexcept
virtual | ~CompletionProposal () noexcept
GtkSourceCompletionProposal* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkSourceCompletionProposal* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::ustring | get_label () const
| Gets the label of a proposal. More...
Glib::ustring | get_markup () const
| Gets the label of a proposal with markup. More...
Glib::ustring | get_text () const
| Gets the text of a proposal. More...
Glib::RefPtr< Gdk::Pixbuf > | get_icon ()
| Gets the icon of a proposal. More...
Glib::RefPtr< const Gdk::Pixbuf > | get_icon () const
| Gets the icon of a proposal. More...
Glib::ustring | get_info () const
| Gets extra information associated to the proposal. More...
void | changed ()
| Emits the "changed" signal on a proposal. More...
guint | hash () const
| Get the hash value of a proposal. More...
bool | equal (const Glib::RefPtr< const CompletionProposal >& other) const
| Get whether two proposal objects are the same. More...
Glib::SignalProxy0< void > | signal_changed ()
| Emitted when the proposal has changed. More...
Public Member Functions inherited from Glib::Interface
| Interface ()
| Interface (Interface &&src) noexcept
Interface & | operator= (Interface &&src) noexcept
| Interface (const Glib::Interface_Class &interface_class)
| Interface (GObject *castitem)
virtual | ~Interface () noexcept
| Interface (const Interface &)=delete
Interface & | operator= (const Interface &)=delete
GObject * | gobj ()
const GObject * | gobj () const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< CompletionItem > | create (const Glib::ustring& label, const Glib::ustring& text, const Glib::RefPtr< const Gdk::Pixbuf >& icon, const Glib::ustring& info)
| Create a new CompletionItem with label label, icon icon and extra information info. More...
static Glib::RefPtr< CompletionItem > | create (const Markup& markup, const Glib::ustring& text, const Glib::RefPtr< const Gdk::Pixbuf >& icon, const Glib::ustring& info)
| Create a new CompletionItem with markup label markup, icon icon and extra information info. More...
static Glib::RefPtr< CompletionItem > | create (const Glib::ustring& label, const Glib::ustring& text, const Gtk::StockID& stock, const Glib::ustring& info)
| Creates a new CompletionItem from a stock item. More...
Static Public Member Functions inherited from Gsv::CompletionProposal
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions
| CompletionItem (const Glib::ustring& label, const Glib::ustring& text, const Glib::RefPtr< const Gdk::Pixbuf >& icon, const Glib::ustring& info)
| CompletionItem (const Markup& markup, const Glib::ustring& text, const Glib::RefPtr< const Gdk::Pixbuf >& icon, const Glib::ustring& info)
| CompletionItem (const Glib::ustring& label, const Glib::ustring& text, const Gtk::StockID& stock, const Glib::ustring& info)
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object () noexcept
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)
Protected Member Functions inherited from Gsv::CompletionProposal
| CompletionProposal ()
| You should derive from this class to use it. More...
virtual void | on_changed ()
| This is a default handler for the signal signal_changed(). More...

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gsv::CompletionItem > | wrap (GtkSourceCompletionItem* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gsv::CompletionProposal
Glib::RefPtr< Gsv::CompletionProposal > | wrap (GtkSourceCompletionProposal* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(* | DestroyNotify) (gpointer data)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify

## Detailed Description

CompletionItem.

Since gtksourceviewmm 2.10:

## Constructor & Destructor Documentation

Gsv::CompletionItem::CompletionItem | ( | CompletionItem&& | src | ) |
| noexcept

virtual Gsv::CompletionItem::~CompletionItem | ( |  | ) |
| virtualnoexcept

Gsv::CompletionItem::CompletionItem | ( | const Glib::ustring & | label,
|  | const Glib::ustring & | text,
|  | const Glib::RefPtr< const Gdk::Pixbuf > & | icon,
|  | const Glib::ustring & | info
| ) |  |
| explicitprotected

Gsv::CompletionItem::CompletionItem | ( | const Markup& | markup,
|  | const Glib::ustring & | text,
|  | const Glib::RefPtr< const Gdk::Pixbuf > & | icon,
|  | const Glib::ustring & | info
| ) |  |
| explicitprotected

Gsv::CompletionItem::CompletionItem | ( | const Glib::ustring & | label,
|  | const Glib::ustring & | text,
|  | const Gtk::StockID & | stock,
|  | const Glib::ustring & | info
| ) |  |
| explicitprotected

Deprecated:
  Use a constructor without a stock ID instead.

## Member Function Documentation

static Glib::RefPtr<CompletionItem> Gsv::CompletionItem::create | ( | const Glib::ustring & | label,
|  | const Glib::ustring & | text,
|  | const Glib::RefPtr< const Gdk::Pixbuf > & | icon,
|  | const Glib::ustring & | info
| ) |  |
| static

Create a new CompletionItem with label label, icon icon and extra information info.

; If icon is empty, then there will be no icon shown. If info is empty, then no extra information will be available.

Parameters

  label | The item label.
  text | The item text.
  icon | The item icon.
  info | The item extra information.

Returns
  New CompletionInfo.

Since gtksourceviewmm 2.10:

static Glib::RefPtr<CompletionItem> Gsv::CompletionItem::create | ( | const Markup& | markup,
|  | const Glib::ustring & | text,
|  | const Glib::RefPtr< const Gdk::Pixbuf > & | icon,
|  | const Glib::ustring & | info
| ) |  |
| static

Create a new CompletionItem with markup label markup, icon icon and extra information info.

If icon is empty, then there will be no icon shown. If info is empty, then no extra information will be available.

Parameters

  markup | The item markup label.
  text | The item text.
  icon | The item icon.
  info | The item extra information.

Returns
  New CompletionInfo.

Since gtksourceviewmm 2.10:

static Glib::RefPtr<CompletionItem> Gsv::CompletionItem::create | ( | const Glib::ustring & | label,
|  | const Glib::ustring & | text,
|  | const Gtk::StockID & | stock,
|  | const Glib::ustring & | info
| ) |  |
| static

Creates a new CompletionItem from a stock item.

If label is empty, then stock label will be used.

Parameters

  label | The item label.
  text | The item text.
  stock | The stock icon.
  info | The item extra information.

Returns
  New CompletionInfo.

Since gtksourceviewmm 2.10:

Deprecated:
  Use a create() method without a stock ID instead.

static GType Gsv::CompletionItem::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkSourceCompletionItem* Gsv::CompletionItem::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

const GtkSourceCompletionItem* Gsv::CompletionItem::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

GtkSourceCompletionItem* Gsv::CompletionItem::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

CompletionItem& Gsv::CompletionItem::operator= | ( | CompletionItem&& | src | ) |
| noexcept

Glib::PropertyProxy< Glib::RefPtr<Gdk::Pixbuf> > Gsv::CompletionItem::property_icon | ( |  | ) |

Icon to be shown for this item.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gdk::Pixbuf> > Gsv::CompletionItem::property_icon | ( |  | ) | const

Icon to be shown for this item.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gsv::CompletionItem::property_info | ( |  | ) |

Info to be shown for this item.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::CompletionItem::property_info | ( |  | ) | const

Info to be shown for this item.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gsv::CompletionItem::property_label | ( |  | ) |

Label to be shown for this item.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::CompletionItem::property_label | ( |  | ) | const

Label to be shown for this item.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gsv::CompletionItem::property_markup | ( |  | ) |

Markup to be shown for this item.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::CompletionItem::property_markup | ( |  | ) | const

Markup to be shown for this item.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gsv::CompletionItem::property_text | ( |  | ) |

Item text.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gsv::CompletionItem::property_text | ( |  | ) | const

Item text.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::CompletionItem > wrap | ( | GtkSourceCompletionItem * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.